var fs = require('fs-extra');
var parseCss = require('../rx-stylesheet-css/lib/parseCss');
/**
 * 用于loader测试的跳板函数
 * @method function
 * @param  {path} src [需要时绝对地址]
 * @return {Object}     [经过解析后的css文件Object]
 */
exports.getParse = function(src){
    var source = fs.readFileSync(src,'utf-8');
    source = parseCss(source,'xxxxxxxxxx');
    source =  source.replace(/\r?\n|\r/g, "");
    return JSON.parse(source);
}
